daily build failures after landing of mozilla-nss.pc droppage (bug 422829)

Bug #423610 reported by Alexander Sack on 2009-09-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox-3.5 (Ubuntu)
Critical
Alexander Sack
xulrunner-1.9.1 (Ubuntu)
Critical
Alexander Sack

Bug Description

Binary package hint: xulrunner-1.9.1

dailies started to fail to build after landing of fix for bug 422829

problem is that we have a firefox patch that relies on mozilla-nspr always yielding thing.

example build failure: https://edge.launchpad.net/~ubuntu-mozilla-daily/+archive/ppa/+build/1201068/+files/buildlog_ubuntu-jaunty-i386.firefox-3.7_3.7~a1~hg20090902r32157+nobinonly-0ubuntu1~umd1~jaunty_FAILEDTOBUILD.txt.gz

crucial part is:

checking for NSPR - version >= 4.8.0... no
Package mozilla-nspr was not found in the pkg-config search path.
Perhaps you should add the directory containing `mozilla-nspr.pc'
to the PKG_CONFIG_PATH environment variable
No package 'mozilla-nspr' found
Package mozilla-nspr was not found in the pkg-config search path.
Perhaps you should add the directory containing `mozilla-nspr.pc'
to the PKG_CONFIG_PATH environment variable
No package 'mozilla-nspr' found
checking for nss-config... /usr/bin/nss-config

so seems to only get triggered for case where system nspr has too low version.

Alexander Sack (asac) wrote :

xulrunner-1.9.3 part fix landed:
bzr commit -m '* fix LP: #423610 - daily build failures after landing of mozilla-nss.pc
  droppage (bug 422829); ensure that nspr-config is properly available in
  sdk regardless of using system or in-source nspr; also ensure that the
  xulrunner nspr/ include directory points to the system one in system-nspr
  case.
  - update debian/rules' --fixes 'lp:423610'
Committing to: bzr+ssh://bazaar.launchpad.net/~mozillateam/xulrunner/xulrunner-1.9.3.head/
modified debian/changelog
modified debian/rules
Committed revision 497.

Changed in firefox-3.5 (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Changed in xulrunner-1.9.1 (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Changed in firefox-3.5 (Ubuntu):
assignee: nobody → Alexander Sack (asac)
Changed in xulrunner-1.9.1 (Ubuntu):
assignee: nobody → Alexander Sack (asac)
Milan Bouchet-Valat (nalimilan) wrote :

FWIW, GNOME Shell form master does not build either since that change.

On Sat, Sep 05, 2009 at 02:20:13PM -0000, Milan Bouchet-Valat wrote:
> FWIW, GNOME Shell form master does not build either since that change.
>

Does gnome shell use nss directly? or rather the gecko rendering
engine? it should use nss.pc and build depend on libnss3-dev if it
needs nss. If it needs gecko it should use the standalone glue
(libxul-embedding.pc).

 - Alexander

Milan Bouchet-Valat (nalimilan) wrote :

Actually I think the Shell draws this dependency from GJS:
$ jhbuild run pkg-config --libs gjs-1.0
-Wl,--export-dynamic -pthread -L/opt/gnome/lib -L/usr/lib/xulrunner-devel-1.9.0.13/lib -lgjs -lgirepository-1.0 -lmozjs -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lplds4 -lplc4 -lnspr4 -lpthread -ldl

But GJS itself takes it from mozilla-js, so it looks like it's not its fault. gjs-1.0.pc says
> Requires: gobject-introspection-1.0 mozilla-js

I should try rebuilding GJS against the new package then, that may solve the issue...

Milan Bouchet-Valat (nalimilan) wrote :

OK, rebuilding fixes the issue. Sorry for the noise - I was working on something else, and my only goal was to get my session working again, so I downgraded before trying every possibility.

Alexander Sack (asac) wrote :

fix committed for the daily build failures. the .pc files need some more love to allow embedders to find nspr headers.

Changed in xulrunner-1.9.1 (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xulrunner-1.9.1 - 1.9.1.3+build1+nobinonly-0ubuntu2

---------------
xulrunner-1.9.1 (1.9.1.3+build1+nobinonly-0ubuntu2) karmic; urgency=low

  [ Fabien Tassin <email address hidden> ]
  * Bump requirement for system sqlite to >= 3.6.16 (bmo 508104)
    - update debian/rules

  [ Alexander Sack <email address hidden> ]
  * fix LP: #423610 - daily build failures after landing of mozilla-nss.pc
    droppage (bug 422829); ensure that nspr-config is properly available in
    sdk regardless of using system or in-source nspr; also ensure that the
    xulrunner nspr/ include directory points to the system one in system-nspr
    case.
    - update debian/rules
  * fix LP: #427638 - xulrunner includes no longer have nspr headers; explicit
    link against nspr is required; we append /usr/include/xulrunner-*/stable/nspr/
    to all .pc Cflags:
    - update debian/rules

 -- Alexander Sack <email address hidden> Tue, 15 Sep 2009 13:42:31 +0200

Changed in xulrunner-1.9.1 (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-3.5 - 3.5.3+build1+nobinonly-0ubuntu4

---------------
firefox-3.5 (3.5.3+build1+nobinonly-0ubuntu4) karmic; urgency=low

  [ Fabien Tassin <email address hidden> ]
  * Bump requirement for system sqlite to >= 3.6.16 (bmo 508104)
    - update debian/rules

  [ Alexander Sack <email address hidden> ]
  * fix LP: #423610 - daily build failures after landing of mozilla-nss.pc droppage
    (bug 422829); we drop our previously used nspr pkgconfig patch and fix
    configure.in to not require in-source nspr if libxul-sdk is used
    - delete debian/patches/nspr_flags_by_pkg_config_hack.patch
    - add debian/patches/bzXXX_libxul_sdk_nspr.patch
    - update debian/patches/series
  * now that we always use libxul-sdk for getting the nspr flags we
    can use --without-system-nspr and --without-system-nss all the time
    - update debian/rules
  * rework localized search engine patch to use ChromeRegistry locale
    information rather than a char pref; also change plugin dir order to allow
    locale specific searchplugins to overlay the ones shipped in
    "searchplugins/common"
    - add debian/patches/bz515232_att399338_distro_locale_searchplugins.patch
    - update debian/patches/series
  * adjust packaging to support localized searchplugins
    + ship default searchplugins in /usr/lib/firefox-addons/searchplugins/en-US/
      and link that directory to $(DEBIAN_FF3_DIR)/distribution/searchplugins instead
      of the main firefox APP_DIR
      - update debian/rules
    + set default searchplugin locale pref to en-US - which is used as a
      fallback if no matching searchplugins/LOCALE directory exists for the
      current locale directory
      - update debian/firefox.js
    + do not install upstream searchplugins through debhelper file and
      install "debsearch" to the new distribution/.../en-US location
      - update debian/firefox-3.0.install
    + ship "common" searchplugins link that points to the old default
      searchplugins location '/usr/lib/firefox-addons/searchplugins/
      - update debian/rules

  [ Jamie Strandboge <email address hidden> ]
  * fix bugs surrounding apparmor profile
    + allow ixr access to gnash (LP: #429061)
    + allow ixr access to pulseaudio (LP: #432702)
    + allow access to plugins directory (LP: #428071)
    + allow access to mounted media (LP: #433362)
    + allow access to abstractions/ubuntu-console-email,
      abstractions/ubuntu-email and abstractions/ubuntu-gnome-terminal
      for mailto:. Add commented section for using xterm and konsole
      - update debian/usr.bin.firefox-3.5
    + allow access to extensions directory (LP: #433128)
    + allow 'k' access to @{HOME}/.mozilla/**/*.sqlite* (LP: #449286)
    + allow Ux access to apport-bug (LP: #449423)
    + allow access to /etc/mplayerplug-in.conf (LP: #439484)

 -- Alexander Sack <email address hidden> Thu, 15 Oct 2009 02:30:48 +0200

Changed in firefox-3.5 (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers